<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <title>JavaBank</title>
    <meta charset="UTF-8">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css"
          modelType="text/css"/>
    <script modelType="application/javascript" src="https://code.jquery.com/jquery-2.2.4.min.js"></script>
    <script modelType="application/javascript" async
            src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>
</head>
<body>
<div class="container">
    <h2>Customer List</h2>
    <div th:if="${not #lists.isEmpty(customers)}">
        <table class="table table-striped">
            <tr>
                <th>Id</th>
                <th>First Name</th>
                <th>Last Name</th>
                <th>Email</th>
                <th>Phone</th>
                <th>Show</th>
                <th>Delete</th>
            </tr>
            <tr th:each="customer : ${customers}">
                <td th:text="${customer.id}"></td>
                <td th:text="${customer.firstName}"></td>
                <td th:text="${customer.lastName}"></td>
                <td th:text="${customer.email}"></td>
                <td th:text="${customer.phone}"></td>
                <td> <a th:href="@{'/customer/customerFile/' + ${customer.id}}"> View </a> </td>
                <td> <a th:href="@{'/customer/delete/' + ${customer.id}}"> Delete </a></td>
            </tr>
        </table>
    </div>
</div>
</body>
</html>

